cURL
curl --request GET \
--url https://app.teable.ai/api/template/by-base/%7BbaseId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'const url = 'https://app.teable.ai/api/template/by-base/%7BbaseId%7D';
const options = {method: 'GET', headers: {Authorization: 'Bearer REPLACE_BEARER_TOKEN'}};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'GET',
hostname: 'app.teable.ai',
port: null,
path: '/api/template/by-base/%7BbaseId%7D',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }
conn.request("GET", "/api/template/by-base/%7BbaseId%7D", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"id": "<string>",
"snapshot": {
"baseId": "<string>",
"snapshotTime": "2023-11-07T05:31:56Z",
"spaceId": "<string>",
"name": "<string>"
},
"cover": {
"token": "xxxxxxxxxxx",
"size": 1024,
"url": "/bucket/xxxxx",
"path": "/table/xxxxxx",
"mimetype": "video/mp4",
"name": "<string>",
"id": "<string>",
"presignedUrl": "<string>",
"width": 100,
"height": 100,
"thumbnailPath": {
"lg": "<string>",
"sm": "<string>"
}
},
"usageCount": 123,
"visitCount": 123,
"createdBy": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>",
"email": "<string>"
},
"name": "<string>",
"categoryId": [
"<string>"
],
"isSystem": true,
"featured": true,
"isPublished": true,
"description": "<string>",
"baseId": "<string>",
"markdownDescription": "<string>",
"publishInfo": {
"nodes": [
"<string>"
],
"includeData": true,
"defaultActiveNodeId": "<string>",
"defaultUrl": "<string>"
}
}template
get template by baseId
get template by baseId
GET
/
template
/
by-base
/
{baseId}
cURL
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
响应
200 - application/json
object | null
Successfully get template.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
最后修改于 2026年3月5日
此页面对您有帮助吗?
⌘I

